// File:           bllocal.H - local options, defined at the time at which
//                 the library is compiled. The identifiers defined allow
//                 different behaviours of extraction methods and conditional
//                 declaration / compiling of architecture-dependent code
//                 -*- C++ -*-
//
// Package:        Library
//
// Author:         Simone Zanella
//
// E-Mail:         szanella@dsi.unive.it
//
// Address:        via Gramsci, 72/22
//                 30035 Mirano (VE)
//                 ITALY
//
// Copyright (C) 1997 Simone Zanella Productions
//
// This program is free software; you can redistribute
// it and/or modify it under the terms of GNU General Public License
// as published by the Free Software Foundation; either version 2 of
// the License, or (at your option) any later version.
//
// This program is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implicit warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// History:
//
// $Log:bllocal.h,v $
// Revision 1.13  97/03/28  12:00:00  12:00:00  szanella (Zanella Simone)
// first stand-alone public release
//

// Variables meaning:
//
// BL_MSD_INCLUDE      defined only if the code is being compiled
//                     on an MS-DOS system; requires the definition
//                     of BL_LITTLE_END; BL_FP_IEEE_754 can be defined as
//                     well, as MS-DOS systems support this standard
//
// BL_LITTLE_END       defined only if the memory model used by the machine is
//                     little endian (e.g. 80x86-based machines)
//
// BL_FP_IEEE_754      defined only if floating point standard IEEE 754 is
//                     supported
//
// BL_OCK_MISMATCH     defined only if the user wants that the extraction
//                     operators don't update item cursor in the message
//                     on type mismatch conditions

#define BL_FP_IEEE_754
#define BL_OCK_MISMATCH
#define BL_LITTLE_END
#define BL_MSD_INCLUDE

//******************************************************************
//************************** END OF FILE ***************************
//******************************************************************
